import { RuntimeAction, RuntimeViewAction } from '@oinone/kunlun-engine';
import { ReturnPromise } from '@oinone/kunlun-shared';
import { PopupLoadDataResult } from '../typing';
import { DialogViewActionWidget } from './DialogViewActionWidget';
export declare class SharedViewActionWidget extends DialogViewActionWidget {
    protected get sharedViewActionName(): any;
    protected loadData(): ReturnPromise<PopupLoadDataResult>;
    protected isValidViewAction(action: RuntimeAction | undefined): action is RuntimeViewAction;
    protected generatorUrlByViewAction(viewAction: RuntimeViewAction): {
        title: string;
        parameters: string;
    };
}
